"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.w3cTokenJson5Parser = void 0;
const json5_1 = __importDefault(require("json5"));
/**
 * @name w3cTokenJson5Parser
 * @type parser
 * @description parses json5 and replace `$value` with `value` and `$description`
 * with `comment` to make it work with style dictionary
 */
exports.w3cTokenJson5Parser = {
    pattern: /\.json[c|5]?$|\.tokens\.json[c|5]?$|\.tokens$/,
    parse: ({ contents }) => {
        // replace $value with value so that style dictionary recognizes it
        const preparedContent = (contents || '{}').replace(/["']?\$?value["']?\s*:/g, '"value":')
            // convert $description to comment
            .replace(/["']?\$?description["']?\s*:/g, '"comment":');
        //
        return json5_1.default.parse(preparedContent);
    },
};
