"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.borderCss = void 0;
const isBorder_1 = require("../filter/isBorder");
/**
 * @description convert a w3c `border` token to a value that can be used with the css `border` property
 */
exports.borderCss = {
    type: `value`,
    transitive: true,
    matcher: isBorder_1.isBorder,
    transformer: ({ value }) => {
        if (typeof value.style !== 'string')
            throw new Error("Only string stroke styles are supported for border tokens");
        return `${value.width} ${value.style} ${value.color}`;
    }
};
