"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.colorAlphaToRgba = void 0;
const color2k_1 = require("color2k");
const isColor_1 = require("../filter/isColor");
const alpha_1 = require("../utilities/alpha");
/**
 * colorAlphaToRgba
 * @description convert a token of type `color` to a rgba value
 */
exports.colorAlphaToRgba = {
    type: `value`,
    transitive: true,
    matcher: isColor_1.isColor,
    transformer: (token) => {
        if (token.alpha !== undefined)
            return (0, alpha_1.alpha)(token.value, token.alpha);
        return (0, color2k_1.toRgba)(token.value);
    }
};
